Site Map
Site Map API endpoint — 1 credit per call.
curl -X POST https://api.hushsearch.io/v1/map/ \
-H "X-API-Key: hs_live_YOUR_KEY" \
-H "Content-Type: application/json" \
-d '{
"url": "https://docs.python.org/3/",
"limit": 50
}'Extract all links from a page — internal and/or external.
curl -X POST https://api.hushsearch.io/v1/map/ \
-H "X-API-Key: hs_live_..." \
-d '{"url":"https://example.com","include_external":false}'| Parameter | Type | Default | Description |
|---|---|---|---|
url | string | required | URL to map |
include_external | boolean | false | Also return external links |